[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TSaveColumnEvent

Specifies an event handler used to load/save the configuration for a grid column.

## Declaration

Source position: grids.pas line 401

`type TSaveColumnEvent = procedure(`
`Sender: TObject;`
`aColumn: TObject;`
`aColIndex: Integer;`
`aCfg: TXMLConfig;`
`const aVersion: Integer;`
`const aPath: string`
`) of object;`

## Arguments

`Sender` |  | Grid for the event notification.
`aColumn` |  | Column object for the event notification.
`aColIndex` |  | Index of the column in the grid.
`aCfg` |  | XML configuration file for the column information.
`aVersion` |  | Grid version for the event.
`aPath` |  | Path expression in the configuration file the column.

## Description

TSaveColumnEvent is the type used to implement the OnLoadColumn and OnSaveColumn properties in TCustomGrid.

## See also

TCustomGrid.OnLoadColumn |  | Event handler signalled when a column is loaded in the LoadColumns method.
TCustomGrid.OnSaveColumn |  | Event handler signalled when an entry in Columns is saved to a configuration file using the SaveContent method.